import { RouterModule, Routes } from '@angular/router';
import { RecipeFormComponent } from './recipe-form/recipe-form.component';
import { RecipeComponent } from './recipe/recipe.component';
import { RecipeListComponent } from './recipe-list/recipe-list.component';
import { AccueilComponent } from './accueil/accueil.component';
import { NgModule } from '@angular/core';

export const routes: Routes = [
  { path: 'form', component: RecipeFormComponent },
  { path: 'recipe/:id', component: RecipeComponent },
  { path: 'list', component: RecipeListComponent },
  { path: '', component: AccueilComponent },
  { path: '**', redirectTo: '' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
